@use '@angular/material'as mat;
@use 'partials/colors';
@use 'partials/mixins/button';

.app-preselection-container {
  width: 100%;
  height: 10.429em;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  align-items: center;
  padding: 1em 0.5em;
  background-color: #57d09a;
  color: #424242;
}

.preselection-button-container {
  width: 50%;
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  align-items: center;
}

.transparent-background {
  &:hover {
    background-color: transparent;
  }
}

button {
  $shade: 200;
  background-color: mat.get-color-from-palette(colors.$emp-gray, $shade);
  color: mat.get-contrast-color-from-palette(colors.$emp-gray, $shade);
  @include button.mat-round-button;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  width: 4.875em;
}

p {
  margin: 0;
}